Summary:	A C library for parsing and emitting YAML
Summary(pl.UTF-8):	Biblioteka C do analizy i wytwarzania YAML-a
Name:		yaml
Version:	0.2.5
Release:	1%{?tld}
License:	MIT
Group:		Libraries
#Source0Download: https://github.com/yaml/libyaml/releases
Source0:	https://github.com/yaml/libyaml/releases/download/%{version}/yaml-%{version}.tar.gz
# Source0-md5:	bb15429d8fb787e7d3f1c83ae129a999
URL:		https://pyyaml.org/wiki/LibYAML
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	doxygen
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
YAML 1.1 parser and emitter written in C.

%description -l pl.UTF-8
Napisana w C biblioteka analizująca i wytwarzająca dane w formacie
YAML 1.1.

%package devel
Summary:	Header files for yaml library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki yaml
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for yaml library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki yaml.

%package static
Summary:	Static yaml library
Summary(pl.UTF-8):	Statyczna biblioteka yaml
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static yaml library.

%description static -l pl.UTF-8
Statyczna biblioteka yaml.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I config
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libyaml.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Changes License ReadMe.md
%attr(755,root,root) %{_libdir}/libyaml-0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libyaml-0.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libyaml.so
%{_includedir}/yaml.h
%{_pkgconfigdir}/yaml-0.1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libyaml.a
%changelog
* Fri Dec 08 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/yaml.git;a=log;h=master

* Thu Jun 04 2020 Jakub Bogusz <qboosh@pld-linux.org> e4ba455
- updated to 0.2.5

* Mon Apr 27 2020 Jakub Bogusz <qboosh@pld-linux.org> f54ce90
- updated to 0.2.4

* Tue Mar 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 35d5054
- updated to 0.2.2
- drop .la file

* Sun Jul 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 0c75408
- updated to 0.2.1

* Thu Oct 13 2016 Jakub Bogusz <qboosh@pld-linux.org> 243f9f8
- updated to 0.1.7

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> b7ef0cd
- x32 rebuild
- release 2 (by relup.sh)

* Thu Mar 27 2014 Jakub Bogusz <qboosh@pld-linux.org> d738e17
- updated to 0.1.6

* Tue Feb 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 93fdb76
- updated to 0.1.5

* Sat Jul 20 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b7b138
- release 3 (by relup.sh)

* Sat Jun 29 2013 Marcin Krol <hawk@tld-linux.org> 65ddd81
- release 2 (by relup.sh)

* Mon Jun 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 1f9bb44
- package .pc file
- adjusted License (MIT), added LICENSE file to doc

* Sun Jun 12 2011 marti <marti@pld-linux.org> 1457269
- up to 0.1.4

* Thu Apr 08 2010 Elan Ruusamäe <glen@pld-linux.org> a1c289d
- up to 0.1.3; new soname

* Tue May 26 2009 Marcin Banasiak <marcin.banasiak@gmail.com> bd6c99a
- more verbose files
- release 2

* Fri Feb 27 2009 duddits <duddits@pld-linux.org> ad59e3a
- up to 0.1.2

* Sun May 27 2007 Jakub Bogusz <qboosh@pld-linux.org> ff28f3f
- pl

* Sat May 26 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 222c3cc
- initial

